| EVShield v1.3 EVShield Library Reference by mindsensors.com

Public Member Functions | List of all members
EVs_PFMate Class Reference

This class interfaces with PFMate attached to EVShield. More...

`#include <EVs_PFMate.h>`

Inheritance diagram for EVs_PFMate:

## Public Member Functions
| EVs_PFMate (uint8_t i2c_address=0x48)
uint8_t | issueCommand (char command)
bool | sendSignal ()
void | controlMotor (uint8_t channel, uint8_t contol, uint8_t operation, uint8_t speed)
bool | setChannel (uint8_t channel)
bool | setControl (uint8_t contol)
bool | setOperationA (uint8_t operation)
bool | setOperationB (uint8_t operation)
bool | setSpeedA (uint8_t speed)
bool | setSpeedB (uint8_t speed)
Public Member Functions inherited from EVShieldI2C
| EVShieldI2C (uint8_t i2c_address)
void | init (void *shield, SH_BankPort bp)
uint8_t | readByte (uint8_t location)
uint16_t | readInteger (uint8_t location)
uint32_t | readLong (uint8_t location)
uint8_t * | readRegisters (uint8_t start_register, uint8_t bytes, uint8_t *buf)
char * | readString (uint8_t location, uint8_t bytes_to_read, uint8_t *buffer=0, uint8_t buffer_length=0)
bool | writeRegisters (uint8_t start_register, uint8_t bytes_to_write, uint8_t *buffer=0)
bool | writeByte (uint8_t location, uint8_t data)
bool | writeInteger (uint8_t location, uint16_t data)
bool | writeLong (uint8_t location, uint32_t data)
char * | getFirmwareVersion ()
char * | getVendorID ()
char * | getDeviceID ()
char * | getFeatureSet ()
uint8_t | getErrorCode ()
bool | checkAddress ()
bool | setAddress (uint8_t address)
Public Member Functions inherited from BaseI2CDevice
| BaseI2CDevice (uint8_t i2c_address)
void | initProtocol ()
uint8_t * | readRegisters (uint8_t start_register, uint8_t bytes_to_read, uint8_t *buffer=0, uint8_t buffer_length=0, bool clear_buffer=false)
uint8_t | readByte (uint8_t location)
int16_t | readInteger (uint8_t location)
uint32_t | readLong (uint8_t location)
char * | readString (uint8_t location, uint8_t bytes_to_read, uint8_t *buffer=0, uint8_t buffer_length=0)
bool | writeRegisters (uint8_t start_register, uint8_t bytes_to_write, uint8_t *buffer=0)
bool | writeByte (uint8_t location, uint8_t data)
bool | writeInteger (uint8_t location, uint16_t data)
bool | writeLong (uint8_t location, uint32_t data)
bool | checkAddress ()
bool | setAddress (uint8_t i2c_address)
uint8_t | getAddress ()
uint8_t | getWriteErrorCode ()
char * | getFirmwareVersion ()
char * | getVendorID ()
char * | getDeviceID ()
char * | getFeatureSet ()
Public Member Functions inherited from SoftI2cMaster
uint8_t | start (uint8_t addressRW)
void | stop (void)
uint8_t | restart (uint8_t addressRW)
uint8_t | write (uint8_t b)
uint8_t | read (uint8_t last)
| SoftI2cMaster (uint8_t devAddr)
void | initProtocol (uint8_t sclPin=(uint8_t) NULL, uint8_t sdaPin=(uint8_t) NULL)
uint8_t * | readRegisters (uint8_t startRegister, uint8_t bytes, uint8_t *buf=NULL)
bool | writeRegistersWithLocation (int bytes, uint8_t *buf)
bool | writeRegisters (uint8_t location, uint8_t bytes_to_write, uint8_t *buffer=0)
bool | writeByte (uint8_t location, uint8_t data)
bool | writeInteger (uint8_t location, uint16_t data)
bool | writeLong (uint8_t location, uint32_t data)
char * | readString (uint8_t startRegister, uint8_t bytes, uint8_t *buf=NULL, uint8_t len=0)
uint8_t | readByte (uint8_t location)
int16_t | readInteger (uint8_t location)
uint32_t | readLong (uint8_t location)
char * | getFirmwareVersion ()
char * | getVendorID ()
char * | getDeviceID ()
uint8_t | getWriteErrorCode ()
bool | checkAddress ()
bool | setAddress (uint8_t address)

## Additional Inherited Members
Public Attributes inherited from EVShieldI2C
void * | mp_shield
uint8_t * | _i2c_buffer
uint8_t | m_protocol
Public Attributes inherited from SoftI2cMaster
uint8_t * | _so_buffer
Static Public Attributes inherited from BaseI2CDevice
static uint8_t * | _buffer = 0
static bool | b_initialized = false
Protected Member Functions inherited from BaseI2CDevice
void | setWriteErrorCode (uint8_t code)

## Detailed Description

This class interfaces with PFMate attached to EVShield.

## Constructor & Destructor Documentation

## § EVs_PFMate()

EVs_PFMate::EVs_PFMate | ( | uint8_t | i2c_address = `0x48` | ) |

class constructor for PFMate with optional custom i2c address as a parameter

## Member Function Documentation

## § controlMotor()

void EVs_PFMate::controlMotor | ( | uint8_t | channel,
|  | uint8_t | contol,
|  | uint8_t | operation,
|  | uint8_t | speed
| ) |  |

control the PF motors on the channel the receiver is set to, which motors to control, the operation for the motors, and the speed to run them

## § issueCommand()

uint8_t EVs_PFMate::issueCommand | ( | char | command | ) |

issue char command byte to the command register of the PFMate

## § sendSignal()

bool EVs_PFMate::sendSignal | ( |  | ) |

send the data to the PF receiver

## § setChannel()

bool EVs_PFMate::setChannel | ( | uint8_t | channel | ) |

set which channel the PF receiver is on so the PFMate can talk with it

## § setControl()

bool EVs_PFMate::setControl | ( | uint8_t | contol | ) |

set which motor to control

## § setOperationA()

bool EVs_PFMate::setOperationA | ( | uint8_t | operation | ) |

set the operation of motor A

## § setOperationB()

bool EVs_PFMate::setOperationB | ( | uint8_t | operation | ) |

set the operation of motor B

## § setSpeedA()

bool EVs_PFMate::setSpeedA | ( | uint8_t | speed | ) |

set the speed of motor A

## § setSpeedB()

bool EVs_PFMate::setSpeedB | ( | uint8_t | speed | ) |

set the speed of motor B

The documentation for this class was generated from the following files:

- C:/Program Files (x86)/Arduino-1.6.12/libraries/EVShield/EVs_PFMate.h
- C:/Program Files (x86)/Arduino-1.6.12/libraries/EVShield/EVs_PFMate.cpp